FlowDrop Docs
API referenceInterrupts

Resolve interrupt

Submit user response to resolve a pending interrupt. The value type depends on the interrupt type: - confirmation: boolean (true = confirmed) - choice: string or string[] (selected values) - text: string (user input) - form: object (form data matching schema)

POST
/interrupts/{interruptId}

Authorization

AuthorizationBearer <token>

JWT token for authentication

In: header

Path Parameters

interruptId*string

Interrupt UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for resolving an interrupt

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/interrupts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "value": true  }'
{  "success": true,  "message": "string",  "error": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",    "type": "confirmation",    "status": "pending",    "nodeId": "string",    "executionId": "string",    "config": {      "message": "Do you approve this action?",      "confirm_label": "Approve",      "cancel_label": "Reject"    },    "allowCancel": true,    "response": null,    "response_time": "2019-08-24T14:15:22Z",    "user_id": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}